import { DEFAULT_CONTENT_PATH, DEFAULT_BUILD_PATH } from '../config.js';
import handler from '../commands/build/index.js';

const build_command = {
    command: "build [srcdir]",
    describe: "bundles MDX files and outputs bundle dirs into out dir",
    builder: (yargs) => {
        return yargs
            .positional("srcdir", { type: "string", default: DEFAULT_CONTENT_PATH })
            .option("outdir", { default: DEFAULT_BUILD_PATH })
            .option("box", {
            default: "default",
            requiresArg: false,
        });
    },
    handler,
};

export { build_command as default };
